tidy::getOpt
tidy::getRelease
tidy
PHP Manual

# tidy::getOptDoc

# tidy_get_opt_doc

Returns the documentation for the given option name

### Description

Object oriented style

string tidy::getOptDoc ( string `$optname` )

Procedural style

string tidy_get_opt_doc ( tidy `$object` , string `$optname` )

tidy_get_opt_doc returns the documentation for the given option name.

> Note:

> You need at least libtidy from 25 April, 2005 for this function be available.

### Parameters

`object`

  The Tidy object.

`optname`

  The option name

### Return Values

Returns a string if the option exists and has documentation available, or `FALSE` otherwise.

### Examples

Example #1 Print all options along with their documentation and default value

`<?php
$tidy = new tidy;
$config = $tidy->getConfig();
ksort($config);
foreach ($config as $opt => $val) {
if (!$doc = $tidy->getOptDoc($opt))
$doc = 'no documentation available!';
$val = ($tidy->getOpt($opt) === true) ? 'true' : $val;
$val = ($tidy->getOpt($opt) === false) ? 'false' : $val;
echo "<p><b>$opt</b> (default: '$val')<br />".
"$doc</p><hr />\n";
}
?>`

### See Also

- tidy::getconfig
- tidy::getopt